﻿@using Portal.Models.PO;
@using System;
@using System.Web.UI.WebControls
@using System.Linq;
@using System.Web;
@using System.Web.Mvc;
@using System.Collections.Generic;
@using Portal.Models.LPOPConsolidation;
@using System.Web.Mvc;
@using System.Data;
@using Portal.Controllers;

@model Toyota.Common.Web.MVC.ModelHolder
@{ Layout = "~/Views/Layout/Dashboard.cshtml"; }
           


@section StartupScript{

}
<script type = "text/javascript">
       
//        $(document).ready(function(){
//         GridJunbikiDetailPopup.Refresh();
//         
//    });
    function OnTop(s, e) {

            if (popupPartial.IsVisible())
            {
            
             popupCreateManifest.Show();
            }
     }


     function prosesSearch(s, e) {
         GridData.PerformCallback();
     }
     function onBeginCallbackMaster(s, e) {
         e.customArgs["Supplier"] = LookupSupplier.GetText();
         e.customArgs["OrderFrom"] = getFormatyyyyMMdd(DateFrom.GetText());
         e.customArgs["orderTo"] = getFormatyyyyMMdd(DateTo.GetText());
     }

     function getFormatyyyyMMdd(value) {
         var year = value.substring(6, 10);
         var month = value.substring(3, 5);
         var date = value.substring(0, 2);

         var hasil = year + "-" + month + "-" + date;
         return hasil;
     }

     function ClearItem(s, e) {
         LookupSupplier.SetText('');
         DateFrom.SetText('');
         DateTo.SetText('');
     }

     var ManifestNo;
     function ShowManifestDetail(s, e) {
         ManifestNo = s.GetValue();
         popupPartial.Show();
     }
     function OnBeginCallback(s, e) {
         e.customArgs["ManifestNo"] = ManifestNo;
     }
     function OnShowHandler(s, e) {
         popupPartial.PerformCallback();
         
     }
</script>


<div style="width:40%;border:1px solid #142B94; background-color:#DEECFD; padding:10px;"> 
         @*   <table>
                <tr>*@
     @*               @Html.DevExpress().RoundPanel(
                        settings =>
                        {
                            settings.Name = "Header";
                            settings.HeaderText = "Seach";
                            settings.ShowHeader = true;
                            settings.View = DevExpress.Web.ASPxRoundPanel.View.GroupBox;
                            settings.SetContent(() =>
                            {
                                Html.RenderAction("PartialHeaderJunbiki", "Junbiki");
                            });
                        }).GetHtml()        
                  
           @*  </tr>
            </table>*@
          @*    <div style="width:40%;border:1px solid #142B94; background-color:#DEECFD; padding:10px;">*@
                        @Html.Partial("HeaderJunbiki", Model)
              @*    </div>  *@
</div>
 <div style="height:8px;"></div>
 <div style="padding:0px; padding-right:0px; padding-bottom:8px"> 
        @Html.Partial("OrderMaster", Model)
</div>

@Html.Partial("PopupPartDetail")
 @* @Html.DevExpress().PopupControl(
    settings =>
    {
        settings.Name = "popupPartial";
        settings.Width = Unit.Percentage(100);
        settings.AllowDragging = false;
        settings.CloseAction = CloseAction.OuterMouseClick;
        settings.HeaderText = "Manifest Creation for Junbiki Part";
        settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
        settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
        settings.SetContent(() =>
        {
          //  @Html.Partial("OrderPopup", Model);

            ViewContext.Writer.Write("<table><tr>");
            Html.DevExpress().RoundPanel(
                r =>
                {
                    r.Name = "HeaderPopup";
                    r.HeaderText = "Seach";
                    r.ShowHeader = true;
                    r.View = DevExpress.Web.ASPxRoundPanel.View.GroupBox;
                    r.SetContent(() =>
                    {
                        Html.RenderAction("PartialHeaderPopup", "Junbiki");
                    });
                }).GetHtml();
            ViewContext.Writer.Write("</tr></table>");
            ViewContext.Writer.Write("<div style=\"height:10px;\"></div>");           
            Html.RenderPartial("OrderPopup", null);
            ViewContext.Writer.Write("<div style=\"height:10px;\"></div>");       
            Html.DevExpress().Button(
            setting =>
            {
                setting.Name = "btnCreateManifest";
                setting.Text = "Create Manifest";
                setting.Width = 115;
                setting.UseSubmitBehavior = true;
                setting.ClientSideEvents.Click = "OnTop";
            }
            ).GetHtml();
        });
*@

    @Html.DevExpress().PopupControl(
    settings =>
    {
        settings.Name = "popupCreateManifest";
        settings.CloseAction = CloseAction.OuterMouseClick;
        settings.HeaderText = "Confirmation";
        settings.Modal = true;
        settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
        settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
        settings.SetContent(() =>
        {

            ViewContext.Writer.Write(
                         "<table width=\"200\" height=\"75\" cellpadding=\"3\" cellspacing=\"3\">" +
                           "<tr>" + "<td width=\"100\">" + "Manifest Number" + "</td>" + "<td>" + ":" + "</td>" + "<td>" + "J001015661" + "</td>" + "</tr>" +
                            "<tr>" + "<td>" + "Total Item" + "</td>" + "<td>" + ":" + "</td>" + "<td>" + "5" + "</td>" + "</tr>" +
                             "<tr>" + "<td>" + "Total Quantity" + "</td>" + "<td>" + ":" + "</td>" + "<td>" + "12" + "</td>" + "</tr>" +

                                 "<tr>" + "<td align=\"left\" coolspan=\"3\">" + "<input type=\"button\" value=\"Ok\"/>" + "<input type=\"button\" value=\"Cancel\" />" + "</td>" + "</tr>" +
                        "</table>"
                         );
        });
        settings.ClientSideEvents.CloseUp = "function(s, e) { SetImageState(false); }";
        settings.ClientSideEvents.PopUp = "function(s, e) { SetImageState(true); }";
    }).GetHtml()
     
<div style="height:50px;"></div>


@Html.Common().DevExpress().MessageBoard(
    msettings =>
    {
        msettings.Name = "MessageBoard";
        msettings.BoardName = "Junbiki";
        msettings.Position = MessageBoardPosition.RIGHT;
    }
).GetHtml()